{                                                                           }
{ PROUTILS - dupfname                                                       }
{ Copyright (c) 1993 - 1994 Frontier Enterprises                            }
{ Written by Justin Kuntz                                                   }
{                                                                           }
{ Release Version 1.0 -- June 2, 1994                                       }

program dupfname;

uses dos, crt, fecommon, sayget4;

procedure process;
          var
             infile, outfile    : text;
             instring, filename : string;
          begin
               writeln('Working...');
               assign(infile, paramstr(1));
               reset(infile);
               assign(outfile, paramstr(2));
               rewrite(outfile);
               while not eof(infile) do
               begin
                    readln(infile, instring);
                    filename := copy(instring, 1, pofsis(instring));
                    writeln(outfile, filename + ' ' + instring);
               end;
               close(infile);
               close(outfile);
          end;

begin
     feinfo;
     writeln;
     if paramcount <> 2 then
     begin
          writeln('Usage: dupfname <input file> <output file>');
     end
     else if not fileexists(paramstr(1)) then
     begin
          writeln('File not found: ' + paramstr(1));
     end
     else if fileexists(paramstr(2)) then
     begin
          writeln('File already exists: ' + paramstr(2));
     end
     else process;
end.