{                                                                           }
{ PROUTILS - fixname                                                        }
{ Copyright (c) 1993 - 1994 Frontier Enterprises                            }
{ Written by Justin Kuntz                                                   }
{                                                                           }
{ Release Version 1.0 -- June 2, 1994                                       }

program fixname;

uses dos, crt, fecommon, sayget4;
var
   offset : byte;
   TempS  : string;

PROCEDURE ParseStr(VAR NewStr : OpenString);
          BEGIN
               Offset := POFSIS(TempS);
               IF Offset > 0 THEN
               BEGIN
                    NewStr := Copy(TempS, 1, Offset-1);
                    TempS  := LTRIM(Copy(TempS, Offset, Length(TempS)));
               END
               ELSE
               BEGIN
                    NewStr := TempS;
                    TempS  := '';
               END;
          END;

procedure process;
          var
             infile, outfile      : text;
             filename, ext, dummy : string;
          begin
               writeln('Working...');
               assign(infile, paramstr(1));
               reset(infile);
               assign(outfile, paramstr(2));
               rewrite(outfile);
               while not eof(infile) do
               begin
                    readln(infile, TempS);
                    TempS := LTRIM(TRIM(TempS));
                    ParseStr(filename);
                    ParseStr(ext);
                    ParseStr(dummy);
                    filename := filename + '.' + ext;
                    writeln(outfile, filename + ' ' + filename + ' ' + TempS);
               end;
               close(infile);
               close(outfile);
          end;

begin
     feinfo;
     writeln;
     if paramcount <> 2 then
     begin
          writeln('Usage: fixname <input file> <output file>');
     end
     else if not fileexists(paramstr(1)) then
     begin
          writeln('File not found: ' + paramstr(1));
     end
     else if fileexists(paramstr(2)) then
     begin
          writeln('File already exists: ' + paramstr(2));
     end
     else process;
end.